kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-deployer-role
rules:
  # This role does only get access to the permissions actually needed.
  - apiGroups: [""]
    resources: ["serviceaccounts", "services", "configmaps"]
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["apps"]
    resources: ["deployments"]
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["autoscaling"]
    resources: ["horizontalpodautoscalers"]
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["route.openshift.io"]
    resources: ["routes"]
    verbs: ["create", "patch", "delete"]
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-controller-to-argocd-deployer-role
roleRef:
  kind: Role
  name: argocd-deployer-role
  apiGroup: rbac.authorization.k8s.io
subjects:
  - kind: ServiceAccount
    # Namespace where the cicd jobs run, normally aardvark.
    namespace: openshift-gitops
    name: openshift-gitops-argocd-application-controller
